openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/SMAP_PROCESS_F4_HELP:
    post:
      tags:
      - SMAP_PRC
      operationId: /rfc/SMAP_PROCESS_F4_HELP
      requestBody:
        content:
          application/json:
            schema:
              properties:
                DEFAULT_OBJECT_TEXT:
                  type: string
                  default: ' '
                  maxLength: 100
                  description: Object Type
                DISPLAY_F4_POPUP:
                  type: string
                  default: X
                  maxLength: 1
                  description: Object Type
                DISPLAY_ONLY:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Single-Character Flag
                MULTIPLE_SELECTION:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Object Type
                OBJECT_TYPE:
                  type: string
                  maxLength: 4
                  description: Object Type
                RESULT_DISPLAY:
                  type: object
                  properties:
                    ID:
                      type: string
                      maxLength: 1
                      description: Single-Character Flag
                    DEVCLASS:
                      type: string
                      maxLength: 1
                      description: Single-Character Flag
                    FSTUSER:
                      type: string
                      maxLength: 1
                      description: Single-Character Flag
                    FSTDATE:
                      type: string
                      maxLength: 1
                      description: Single-Character Flag
                    FSTRELE:
                      type: string
                      maxLength: 1
                      description: Single-Character Flag
                    LSTUSER:
                      type: string
                      maxLength: 1
                      description: Single-Character Flag
                    LSTDATE:
                      type: string
                      maxLength: 1
                      description: Single-Character Flag
                    LSTRELE:
                      type: string
                      maxLength: 1
                      description: Single-Character Flag
                RESULT_DISPLAY_ALL:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Single-Character Flag
                RESULT_DISPLAY_GENERIC:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Single-Character Flag
                W_DELETED:
                  type: string
                  default: ' '
                  maxLength: 1
                E_SELECTED_OBJECTS:
                  type: array
                  items:
                    type: object
                    properties:
                      ID:
                        type: string
                        maxLength: 32
                        description: 'Solution Map: Technical object ID'
                      TYPE:
                        type: string
                        maxLength: 4
                        description: Object Type
                      SCRTEXT:
                        type: string
                        maxLength: 20
                        description: Medium Field Label
                      DEVCLASS:
                        type: string
                        maxLength: 30
                        description: Package
                      TRCLASS:
                        type: string
                        maxLength: 4
                        description: ''
                      PID:
                        type: string
                        maxLength: 20
                        description: Set/Get parameter ID
                      ENQUEUED:
                        type: string
                        maxLength: 1
                        description: 'Data element for Flag - Any use  enumValues: ""=Attribute does not apply,X=Attribute applies'
                        enum:
                        - ''
                        - X
                      TEXT:
                        type: string
                        maxLength: 100
                        description: Name
                      STRUCT_ID:
                        type: string
                        maxLength: 32
                        description: Unique ID - 32 characters
                      STATUS:
                        type: string
                        maxLength: 2
                        description: 'Modeling status  enumValues: 01=In Process,02=Locked,""=Released'
                        enum:
                        - '01'
                        - '02'
                        - ''
                      FSTUSER:
                        type: string
                        maxLength: 12
                        description: Created by
                      FSTDATE:
                        type: string
                        format: date
                        description: Date on which the record was created
                      FSTTIME:
                        type: string
                        maxLength: 6
                        description: Creation Time
                      LSTUSER:
                        type: string
                        maxLength: 12
                        description: Changed by
                      LSTDATE:
                        type: string
                        format: date
                        description: Changed on
                      LSTTIME:
                        type: string
                        maxLength: 6
                        description: Last changed at
                      FSTRELE:
                        type: string
                        maxLength: 4
                        description: First Release
                      LSTRELE:
                        type: string
                        maxLength: 4
                        description: Last Changed in Release
                      SYNCH:
                        type: string
                        maxLength: 1
                        description: 'Synchronization flag  enumValues: ""=Not modified,N=New since last synchronization,D=Deleted,M=Modified since last synchronization'
                        enum:
                        - ''
                        - N
                        - D
                        - M
                      TSTAMP:
                        type: integer
                        format: int64
                        description: Last changed on/by
              required:
              - OBJECT_TYPE
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  E_SELECTED_OBJECTS:
                    type: array
                    items:
                      type: object
                      properties:
                        ID:
                          type: string
                          maxLength: 32
                          description: 'Solution Map: Technical object ID'
                        TYPE:
                          type: string
                          maxLength: 4
                          description: Object Type
                        SCRTEXT:
                          type: string
                          maxLength: 20
                          description: Medium Field Label
                        DEVCLASS:
                          type: string
                          maxLength: 30
                          description: Package
                        TRCLASS:
                          type: string
                          maxLength: 4
                          description: ''
                        PID:
                          type: string
                          maxLength: 20
                          description: Set/Get parameter ID
                        ENQUEUED:
                          type: string
                          maxLength: 1
                          description: 'Data element for Flag - Any use  enumValues: ""=Attribute does not apply,X=Attribute applies'
                          enum:
                          - ''
                          - X
                        TEXT:
                          type: string
                          maxLength: 100
                          description: Name
                        STRUCT_ID:
                          type: string
                          maxLength: 32
                          description: Unique ID - 32 characters
                        STATUS:
                          type: string
                          maxLength: 2
                          description: 'Modeling status  enumValues: 01=In Process,02=Locked,""=Released'
                          enum:
                          - '01'
                          - '02'
                          - ''
                        FSTUSER:
                          type: string
                          maxLength: 12
                          description: Created by
                        FSTDATE:
                          type: string
                          format: date
                          description: Date on which the record was created
                        FSTTIME:
                          type: string
                          maxLength: 6
                          description: Creation Time
                        LSTUSER:
                          type: string
                          maxLength: 12
                          description: Changed by
                        LSTDATE:
                          type: string
                          format: date
                          description: Changed on
                        LSTTIME:
                          type: string
                          maxLength: 6
                          description: Last changed at
                        FSTRELE:
                          type: string
                          maxLength: 4
                          description: First Release
                        LSTRELE:
                          type: string
                          maxLength: 4
                          description: Last Changed in Release
                        SYNCH:
                          type: string
                          maxLength: 1
                          description: 'Synchronization flag  enumValues: ""=Not modified,N=New since last synchronization,D=Deleted,M=Modified since last synchronization'
                          enum:
                          - ''
                          - N
                          - D
                          - M
                        TSTAMP:
                          type: integer
                          format: int64
                          description: Last changed on/by
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
